com.android.agf.activities

## Class EditDashboardActivity.MyUpdateDashboard

- java.lang.Object
- - android.os.AsyncTask<String,Void,String>
  - - com.android.agf.asynctask.UpdateDataDashboard
    - - com.android.agf.activities.EditDashboardActivity.MyUpdateDashboard

- Enclosing class:
    EditDashboardActivity

       class EditDashboardActivity.MyUpdateDashboard
      extends UpdateDataDashboard

  classe local extend de l'async tasc encarregada d'actualitzar els dashboards sense perdre dades ja creades
  Author:
    albert

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class android.os.AsyncTask

      `AsyncTask.Status`

  - ### Field Summary

    - ### Fields inherited from class android.os.AsyncTask

      `SERIAL_EXECUTOR, THREAD_POOL_EXECUTOR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EditDashboardActivity.MyUpdateDashboard(Context ctx, String idDash, String nomDash, ArrayList<DashComponent> llistat)` constructor, creació del dialeg de progress

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `onPostExecute(String result)` finalització de l'activity controlant l'existencia d'aquesta
    `protected void` | `onPreExecute()` inicialització del dialeg de progres

    - ### Methods inherited from class com.android.agf.asynctask.UpdateDataDashboard

      `doInBackground`

    - ### Methods inherited from class android.os.AsyncTask

      `cancel, execute, execute, executeOnExecutor, get, get, getStatus, isCancelled, onCancelled, onCancelled, onProgressUpdate, publishProgress`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EditDashboardActivity.MyUpdateDashboard

          public EditDashboardActivity.MyUpdateDashboard(Context ctx,
                                                 String idDash,
                                                 String nomDash,
                                                 ArrayList<DashComponent> llistat)

      constructor, creació del dialeg de progress
      Parameters:
        `ctx` -
        `idDash` -
        `nomDash` -
        `llistat` -

  - ### Method Detail

    - #### onPreExecute

          protected void onPreExecute()

      inicialització del dialeg de progres
      Overrides:
        `onPreExecute` in class `AsyncTask<String,Void,String>`

    - #### onPostExecute

          protected void onPostExecute(String result)

      finalització de l'activity controlant l'existencia d'aquesta
      Overrides:
        `onPostExecute` in class `AsyncTask<String,Void,String>`